Package com.emc.documentum.rest.dfc

# Interface SubscriptionManager

public interface SubscriptionManager

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isSubscribed(String objectId, String userName)`
  Check whether a certain object is subscribed by specific user.
  `SysObject`
  `subscribe(String objectId, String userName, List<String> otherSubscribers)`
  Subscribe an object for current user or for other users together.
  `void`
  `unsubscribe(String objectId, String userName)`
  Unsubscribe an object for certain user.

- ## Method Details

  - ### isSubscribed

    boolean isSubscribed(String objectId, String userName) throws com.documentum.fc.common.DfException
    Check whether a certain object is subscribed by specific user.
    Parameters:
      `objectId` - Id of certain object needs to be checked.
      `userName` - Name of specific user.
    Returns:
      True if this object is subscribed by user. Otherwise returns false.
    Throws:
      `com.documentum.fc.common.DfException` - DfException during operation

  - ### subscribe

    SysObject subscribe(String objectId, String userName, List<String> otherSubscribers) throws com.documentum.fc.common.DfException
    Subscribe an object for current user or for other users together. This function is transactional.
    Parameters:
      `objectId` - The Id of certain object to be subscribed.
      `userName` - Name of current user.
      `otherSubscribers` - Names of other users to subscribe.
    Returns:
      The object subscribed by specific user(s).
    Throws:
      `com.documentum.fc.common.DfException` - DfException during operation

  - ### unsubscribe

    void unsubscribe(String objectId, String userName) throws com.documentum.fc.common.DfException
    Unsubscribe an object for certain user.
    Parameters:
      `objectId` - Id of certain object to be unsubscribed.
      `userName` - Name of certain user.
    Throws:
      `com.documentum.fc.common.DfException` - DfException during operation